import React, { Component } from 'react';
import './guideModal.less';
import modalStore from '@src/store/modal';
import { _throttle } from '@src/utils/utils';

class GuideModal extends Component {

  closeModal = _throttle(() => {
    const {doCount} = this.props.popData;
    doCount && doCount();
    modalStore.closePop("GuideModal")
  })

  render() {
    return (
      <div className='guideModal' onClick={this.closeModal}>
        <div className="bg"></div>
      </div>
    );
  }
}

export default GuideModal;
